<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/proto/proto.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d3d/proto_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">proto.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../dc/d3d/proto_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d22/class_anim_event.html">AnimEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9a/class_sound_event.html">SoundEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d5c/classvobject.html">vobject</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html">PacketInputAdapter</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dee/class_material.html">Material</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html">Link&lt; Class T &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a7c51bd6286d9c2183c69c052aad062a0"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a7c51bd6286d9c2183c69c052aad062a0">vobject</a></td></tr>
<tr class="separator:a7c51bd6286d9c2183c69c052aad062a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac348e065ad4abbf35a38022cc182cb23"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d3/d5c/classvobject.html">vobject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#ac348e065ad4abbf35a38022cc182cb23">WriteBool</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> value)</td></tr>
<tr class="separator:ac348e065ad4abbf35a38022cc182cb23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ce751f879c4a8fd5ff203bfaa23cc13"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a7ce751f879c4a8fd5ff203bfaa23cc13">ToEntitySource</a> ()</td></tr>
<tr class="separator:a7ce751f879c4a8fd5ff203bfaa23cc13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85055d6197d5c083f42ab1bf1563136c"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a85055d6197d5c083f42ab1bf1563136c">WriteInt</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> value)</td></tr>
<tr class="separator:a85055d6197d5c083f42ab1bf1563136c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6769057e7570eb88b30f9acad5517d0"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#af6769057e7570eb88b30f9acad5517d0">WriteFloat</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> value)</td></tr>
<tr class="separator:af6769057e7570eb88b30f9acad5517d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac462a99f72b53d3495ee9b8c5e18f8d4"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#ac462a99f72b53d3495ee9b8c5e18f8d4">WriteString</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> value)</td></tr>
<tr class="separator:ac462a99f72b53d3495ee9b8c5e18f8d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c22e569aa0d59fcd344b54a520e7723"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a7c22e569aa0d59fcd344b54a520e7723">WriteVector</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> value)</td></tr>
<tr class="separator:a7c22e569aa0d59fcd344b54a520e7723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb113e17237cbfcffeef1d43649491a8"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#abb113e17237cbfcffeef1d43649491a8">WriteMatrixAsQuaternionVector</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[4])</td></tr>
<tr class="separator:abb113e17237cbfcffeef1d43649491a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae29e981edc5af3c86a556132bc64906f"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#ae29e981edc5af3c86a556132bc64906f">WriteIntAsByte</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> value)</td></tr>
<tr class="separator:ae29e981edc5af3c86a556132bc64906f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4c5cb6bac876d678a55215b9811f1e4"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#ad4c5cb6bac876d678a55215b9811f1e4">WriteIntAsUByte</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> value)</td></tr>
<tr class="separator:ad4c5cb6bac876d678a55215b9811f1e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33a46f188db4753eec5bc778570a0b51"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a33a46f188db4753eec5bc778570a0b51">WriteIntAsHalf</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> value)</td></tr>
<tr class="separator:a33a46f188db4753eec5bc778570a0b51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02bff74c1163b61daf422aee00d0db42"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a02bff74c1163b61daf422aee00d0db42">WriteIntAsUHalf</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> value)</td></tr>
<tr class="separator:a02bff74c1163b61daf422aee00d0db42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3fed65964e496d187f4fa653b8b4bd4"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#ab3fed65964e496d187f4fa653b8b4bd4">WriteFloatAsByte</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> value, <a class="el" href="../../d4/dc3/classfloat.html">float</a> min, <a class="el" href="../../d4/dc3/classfloat.html">float</a> max)</td></tr>
<tr class="separator:ab3fed65964e496d187f4fa653b8b4bd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb7717cc1db3e258de806c1bca54ed8b"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#aeb7717cc1db3e258de806c1bca54ed8b">WriteFloatAsHalf</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> value, <a class="el" href="../../d4/dc3/classfloat.html">float</a> min, <a class="el" href="../../d4/dc3/classfloat.html">float</a> max)</td></tr>
<tr class="separator:aeb7717cc1db3e258de806c1bca54ed8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54d1f22e0bd732f3da21a3582eda4bb2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a54d1f22e0bd732f3da21a3582eda4bb2">MakeScreenshot</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="separator:a54d1f22e0bd732f3da21a3582eda4bb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7cc9e33e96db0cc2a8a09148299213e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#ab7cc9e33e96db0cc2a8a09148299213e">GetFPS</a> ()</td></tr>
<tr class="separator:ab7cc9e33e96db0cc2a8a09148299213e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">SkyDome API</div></td></tr>
<tr class="memitem:a114005fee0272d114606b98d61679b63"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a114005fee0272d114606b98d61679b63">LoadSkyPresets</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> presetsFile)</td></tr>
<tr class="separator:a114005fee0272d114606b98d61679b63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4bd89da06104668c694528e3d39d68c"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#aa4bd89da06104668c694528e3d39d68c">InitSky</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> presetName)</td></tr>
<tr class="separator:aa4bd89da06104668c694528e3d39d68c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1baf5eaf61f77a3e7826ebe7e8fcfc50"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a1baf5eaf61f77a3e7826ebe7e8fcfc50">SetSkyPreset</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> presetName, <a class="el" href="../../d4/dc3/classfloat.html">float</a> stormy, <a class="el" href="../../d4/dc3/classfloat.html">float</a> dayTime)</td></tr>
<tr class="separator:a1baf5eaf61f77a3e7826ebe7e8fcfc50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6f804dd8e163e07962dd8782e59a24b"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#ac6f804dd8e163e07962dd8782e59a24b">LerpSkyPreset</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> presetName1, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> presetName2, <a class="el" href="../../d4/dc3/classfloat.html">float</a> dayTime, <a class="el" href="../../d4/dc3/classfloat.html">float</a> stormy1, <a class="el" href="../../d4/dc3/classfloat.html">float</a> stormy2, <a class="el" href="../../d4/dc3/classfloat.html">float</a> lerpVal)</td></tr>
<tr class="separator:ac6f804dd8e163e07962dd8782e59a24b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa36235eb5f61638a472a4fbf16ac078"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#aaa36235eb5f61638a472a4fbf16ac078">LerpSkyPreset3</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> presetName1, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> presetName2, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> presetName3, <a class="el" href="../../d4/dc3/classfloat.html">float</a> dayTime, <a class="el" href="../../d4/dc3/classfloat.html">float</a> stormy1, <a class="el" href="../../d4/dc3/classfloat.html">float</a> stormy2, <a class="el" href="../../d4/dc3/classfloat.html">float</a> stormy3, <a class="el" href="../../d4/dc3/classfloat.html">float</a> w1, <a class="el" href="../../d4/dc3/classfloat.html">float</a> w2, <a class="el" href="../../d4/dc3/classfloat.html">float</a> w3)</td></tr>
<tr class="separator:aaa36235eb5f61638a472a4fbf16ac078"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17256fe32fda62a3bd9c4cb3a3254853"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a17256fe32fda62a3bd9c4cb3a3254853">SetSkyUserPlanets</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enabled)</td></tr>
<tr class="separator:a17256fe32fda62a3bd9c4cb3a3254853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84cbc4b071ec98a49177bd81a14129e7"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a84cbc4b071ec98a49177bd81a14129e7">SetSkyPlanet</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, <a class="el" href="../../d4/dc3/classfloat.html">float</a> azimuthDeg, <a class="el" href="../../d4/dc3/classfloat.html">float</a> zenithDeg)</td></tr>
<tr class="separator:a84cbc4b071ec98a49177bd81a14129e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad47b7f2b4ebe1827f922bce263cec0db"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#ad47b7f2b4ebe1827f922bce263cec0db">SetSkyPlanetSize</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, <a class="el" href="../../d4/dc3/classfloat.html">float</a> angleDeg)</td></tr>
<tr class="separator:ad47b7f2b4ebe1827f922bce263cec0db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c0befb84918faac7da11811f4e0add4"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a2c0befb84918faac7da11811f4e0add4">SetStarsObserverTime</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> year, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> month, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> day, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> hour, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> minute, <a class="el" href="../../d4/dc3/classfloat.html">float</a> sec, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> offsetSec)</td></tr>
<tr class="separator:a2c0befb84918faac7da11811f4e0add4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad84f57762ab2a50fdff5b3fdb0537460"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#ad84f57762ab2a50fdff5b3fdb0537460">SetStarsObserverPosition</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> latitudeDeg, <a class="el" href="../../d4/dc3/classfloat.html">float</a> longitudeDeg)</td></tr>
<tr class="separator:ad84f57762ab2a50fdff5b3fdb0537460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c935976c6a09c94946a823368f6132e"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a0c935976c6a09c94946a823368f6132e">SetRealStarAutoUpdate</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> update)</td></tr>
<tr class="separator:a0c935976c6a09c94946a823368f6132e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb7911d3fbc07b3c4f88b63c62ffc003"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#acb7911d3fbc07b3c4f88b63c62ffc003">SetNightLayerRotMatrix</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[3])</td></tr>
<tr class="separator:acb7911d3fbc07b3c4f88b63c62ffc003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6acb84fdb2eecdbbb2bd731c80273f9e"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a6acb84fdb2eecdbbb2bd731c80273f9e">SetStarsRotMatrix</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[3])</td></tr>
<tr class="separator:a6acb84fdb2eecdbbb2bd731c80273f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad651bf95d941389579626fa9e3d0f56d"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d3/de2/class_packet_input_adapter.html">PacketInputAdapter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#ad651bf95d941389579626fa9e3d0f56d">WriteBool</a></td></tr>
<tr class="separator:ad651bf95d941389579626fa9e3d0f56d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">Materials API</h2></td></tr>
<tr class="memitem:a6ca2b81ceb0bbfc540218231b0fce0d4"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a6ca2b81ceb0bbfc540218231b0fce0d4">Material</a></td></tr>
<tr class="separator:a6ca2b81ceb0bbfc540218231b0fce0d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fb163e91e72a86eccc5d70143299999"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a5fb163e91e72a86eccc5d70143299999">VectortoRGBA</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> vec, <a class="el" href="../../d4/dc3/classfloat.html">float</a> h)</td></tr>
<tr class="separator:a5fb163e91e72a86eccc5d70143299999"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a117bd706d35f6f2ae3f5db263b778704"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> a, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> r, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> g, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> b)</td></tr>
<tr class="separator:a117bd706d35f6f2ae3f5db263b778704"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aa1cc36d7e57ee79ba6713313ce7b1b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> fa, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fr, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fg, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fb)</td></tr>
<tr class="memdesc:a4aa1cc36d7e57ee79ba6713313ce7b1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts &lt;0.0, 1.0&gt; ARGB into color.  <a href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">More...</a><br /></td></tr>
<tr class="separator:a4aa1cc36d7e57ee79ba6713313ce7b1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef92cf9820319aa86b6260c238385908"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#aef92cf9820319aa86b6260c238385908">AWHITE</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> a)</td></tr>
<tr class="separator:aef92cf9820319aa86b6260c238385908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af787aca4d351b322de1d32386bf4d545"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3d/proto_8c.html#af787aca4d351b322de1d32386bf4d545">LerpARGB</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> c1, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> c2)</td></tr>
<tr class="separator:af787aca4d351b322de1d32386bf4d545"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a6ca2b81ceb0bbfc540218231b0fce0d4" name="a6ca2b81ceb0bbfc540218231b0fce0d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ca2b81ceb0bbfc540218231b0fce0d4">&#9670;&#160;</a></span>Material</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> [] <a class="el" href="../../dc/dee/class_material.html">Material</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00265">265</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<a id="a7c51bd6286d9c2183c69c052aad062a0" name="a7c51bd6286d9c2183c69c052aad062a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c51bd6286d9c2183c69c052aad062a0">&#9670;&#160;</a></span>vobject</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> [] <a class="el" href="../../d3/d5c/classvobject.html">vobject</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00046">46</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a117bd706d35f6f2ae3f5db263b778704" name="a117bd706d35f6f2ae3f5db263b778704"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a117bd706d35f6f2ae3f5db263b778704">&#9670;&#160;</a></span>ARGB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ARGB </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>g</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00322">322</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<a id="a4aa1cc36d7e57ee79ba6713313ce7b1b" name="a4aa1cc36d7e57ee79ba6713313ce7b1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4aa1cc36d7e57ee79ba6713313ce7b1b">&#9670;&#160;</a></span>ARGBF()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ARGBF </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fa</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Converts &lt;0.0, 1.0&gt; ARGB into color. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00332">332</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<a id="aef92cf9820319aa86b6260c238385908" name="aef92cf9820319aa86b6260c238385908"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef92cf9820319aa86b6260c238385908">&#9670;&#160;</a></span>AWHITE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AWHITE </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>a</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00338">338</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<a id="ab7cc9e33e96db0cc2a8a09148299213e" name="ab7cc9e33e96db0cc2a8a09148299213e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7cc9e33e96db0cc2a8a09148299213e">&#9670;&#160;</a></span>GetFPS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetFPS </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Returns actual fps (average in last 10 frames) </p>

</div>
</div>
<a id="aa4bd89da06104668c694528e3d39d68c" name="aa4bd89da06104668c694528e3d39d68c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4bd89da06104668c694528e3d39d68c">&#9670;&#160;</a></span>InitSky()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> InitSky </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>presetName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >initialize sky with preset, must be called to set the global planets setting </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">presetName</td><td>name of preset to be set (one of presets from file loaded using LoadSkyPresets) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af787aca4d351b322de1d32386bf4d545" name="af787aca4d351b322de1d32386bf4d545"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af787aca4d351b322de1d32386bf4d545">&#9670;&#160;</a></span>LerpARGB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> LerpARGB </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>c1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>c2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00344">344</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<a id="ac6f804dd8e163e07962dd8782e59a24b" name="ac6f804dd8e163e07962dd8782e59a24b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6f804dd8e163e07962dd8782e59a24b">&#9670;&#160;</a></span>LerpSkyPreset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> LerpSkyPreset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>presetName1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>presetName2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dayTime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>stormy1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>stormy2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>lerpVal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >lerp two sky presets and set the result using day time </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">presetName1</td><td>name of preset1 to be set (one of presets from file loaded using LoadSkyPresets) </td></tr>
    <tr><td class="paramname">presetName2</td><td>name of preset2 to be set (one of presets from file loaded using LoadSkyPresets) </td></tr>
    <tr><td class="paramname">dayTime</td><td>day of time &lt;0, 1&gt; </td></tr>
    <tr><td class="paramname">stormy1</td><td>stormy parameter for preset1 &lt;0, 1&gt; </td></tr>
    <tr><td class="paramname">stormy2</td><td>stormy parameter for preset2 &lt;0, 1&gt; </td></tr>
    <tr><td class="paramname">lerpVal</td><td>lerp value between two presets </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aaa36235eb5f61638a472a4fbf16ac078" name="aaa36235eb5f61638a472a4fbf16ac078"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa36235eb5f61638a472a4fbf16ac078">&#9670;&#160;</a></span>LerpSkyPreset3()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> LerpSkyPreset3 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>presetName1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>presetName2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>presetName3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dayTime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>stormy1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>stormy2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>stormy3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>w1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>w2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>w3</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >lerp three sky presets using barycentric coordinates and set the result using day time </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">presetName1</td><td>name of preset1 to be set (one of presets from file loaded using LoadSkyPresets) </td></tr>
    <tr><td class="paramname">presetName2</td><td>name of preset2 to be set (one of presets from file loaded using LoadSkyPresets) </td></tr>
    <tr><td class="paramname">presetName2</td><td>name of preset3 to be set (one of presets from file loaded using LoadSkyPresets) </td></tr>
    <tr><td class="paramname">dayTime</td><td>day of time &lt;0, 1&gt; </td></tr>
    <tr><td class="paramname">stormy1</td><td>stormy parameter for preset1 &lt;0, 1&gt; </td></tr>
    <tr><td class="paramname">stormy2</td><td>stormy parameter for preset2 &lt;0, 1&gt; </td></tr>
    <tr><td class="paramname">stormy3</td><td>stormy parameter for preset3 &lt;0, 1&gt; </td></tr>
    <tr><td class="paramname">w1</td><td>weight for preset1 </td></tr>
    <tr><td class="paramname">w2</td><td>weight for preset2 </td></tr>
    <tr><td class="paramname">w3</td><td>weight for preset3 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a114005fee0272d114606b98d61679b63" name="a114005fee0272d114606b98d61679b63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a114005fee0272d114606b98d61679b63">&#9670;&#160;</a></span>LoadSkyPresets()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> LoadSkyPresets </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>presetsFile</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >load all sky presets from xml file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">presetFile</td><td>name of XML file with presets </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a54d1f22e0bd732f3da21a3582eda4bb2" name="a54d1f22e0bd732f3da21a3582eda4bb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54d1f22e0bd732f3da21a3582eda4bb2">&#9670;&#160;</a></span>MakeScreenshot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void MakeScreenshot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >makes screenshot and stores it in to a DDS format file if the name begins with '$' the screenshot in stored in the fullpath according to the name parameter otherwise the screenshot is stored in "$profile:ScreenShotes/DATE TIME-NAME.dds" where DATE, TIME AND NAME are replaced by actual values </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of the screenshot </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acb7911d3fbc07b3c4f88b63c62ffc003" name="acb7911d3fbc07b3c4f88b63c62ffc003"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb7911d3fbc07b3c4f88b63c62ffc003">&#9670;&#160;</a></span>SetNightLayerRotMatrix()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetNightLayerRotMatrix </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>mat</em>[3]</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >night sky layer rotation matrix </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mat</td><td>rotation matrix </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0c935976c6a09c94946a823368f6132e" name="a0c935976c6a09c94946a823368f6132e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c935976c6a09c94946a823368f6132e">&#9670;&#160;</a></span>SetRealStarAutoUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetRealStarAutoUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>update</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >update of stars </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">update</td><td>true = automatic stars update, false = update is on user by SetStarsRotMatrix </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a84cbc4b071ec98a49177bd81a14129e7" name="a84cbc4b071ec98a49177bd81a14129e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84cbc4b071ec98a49177bd81a14129e7">&#9670;&#160;</a></span>SetSkyPlanet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> SetSkyPlanet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>azimuthDeg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>zenithDeg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >set planet position </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>index of planet, 0 = sun usually </td></tr>
    <tr><td class="paramname">azimuthDeg</td><td>azimuth position in degrees </td></tr>
    <tr><td class="paramname">zenithDeg</td><td>zenith position in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad47b7f2b4ebe1827f922bce263cec0db" name="ad47b7f2b4ebe1827f922bce263cec0db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad47b7f2b4ebe1827f922bce263cec0db">&#9670;&#160;</a></span>SetSkyPlanetSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> SetSkyPlanetSize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>angleDeg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >set planet size in degrees </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>index of planet, 0 = sun usually </td></tr>
    <tr><td class="paramname">angleDeg</td><td>angle size in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1baf5eaf61f77a3e7826ebe7e8fcfc50" name="a1baf5eaf61f77a3e7826ebe7e8fcfc50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1baf5eaf61f77a3e7826ebe7e8fcfc50">&#9670;&#160;</a></span>SetSkyPreset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SetSkyPreset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>presetName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>stormy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dayTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >set sky preset to day time and stormy parameter </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">presetName</td><td>name of preset to be set (one of presets from file loaded using LoadSkyPresets) </td></tr>
    <tr><td class="paramname">stormy</td><td>stormy parameter &lt;0, 1&gt; </td></tr>
    <tr><td class="paramname">dayTime</td><td>day of time &lt;0, 1&gt; </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a17256fe32fda62a3bd9c4cb3a3254853" name="a17256fe32fda62a3bd9c4cb3a3254853"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17256fe32fda62a3bd9c4cb3a3254853">&#9670;&#160;</a></span>SetSkyUserPlanets()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetSkyUserPlanets </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >user can set planets to its own positions on skydome using SetSkyPresetPlanet function, if disabled, the planets are positioned automatically using sky preset setting </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enabled</td><td>enable/disable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad84f57762ab2a50fdff5b3fdb0537460" name="ad84f57762ab2a50fdff5b3fdb0537460"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad84f57762ab2a50fdff5b3fdb0537460">&#9670;&#160;</a></span>SetStarsObserverPosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetStarsObserverPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>latitudeDeg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>longitudeDeg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >set observer position </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">latitudeDeg</td><td>latitude in degrees </td></tr>
    <tr><td class="paramname">longitudeDeg</td><td>longitude in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2c0befb84918faac7da11811f4e0add4" name="a2c0befb84918faac7da11811f4e0add4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c0befb84918faac7da11811f4e0add4">&#9670;&#160;</a></span>SetStarsObserverTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetStarsObserverTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>year</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>month</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>day</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>hour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>minute</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>sec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>offsetSec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >set UTC time for real time stars </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">year</td><td></td></tr>
    <tr><td class="paramname">month</td><td></td></tr>
    <tr><td class="paramname">day</td><td></td></tr>
    <tr><td class="paramname">hour</td><td></td></tr>
    <tr><td class="paramname">minute</td><td></td></tr>
    <tr><td class="paramname">sec</td><td></td></tr>
    <tr><td class="paramname">offsetSec</td><td>to take into account time difference between Greenwich and local time (position dependency, summer/winter time) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6acb84fdb2eecdbbb2bd731c80273f9e" name="a6acb84fdb2eecdbbb2bd731c80273f9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6acb84fdb2eecdbbb2bd731c80273f9e">&#9670;&#160;</a></span>SetStarsRotMatrix()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetStarsRotMatrix </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>mat</em>[3]</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >stars rotation matrix, is different from night rotation matrix because we don't know the time when night layers was captured </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mat</td><td>rotation matrix </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7ce751f879c4a8fd5ff203bfaa23cc13" name="a7ce751f879c4a8fd5ff203bfaa23cc13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ce751f879c4a8fd5ff203bfaa23cc13">&#9670;&#160;</a></span>ToEntitySource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a> WriteBool::ToEntitySource </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5fb163e91e72a86eccc5d70143299999" name="a5fb163e91e72a86eccc5d70143299999"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fb163e91e72a86eccc5d70143299999">&#9670;&#160;</a></span>VectortoRGBA()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> VectortoRGBA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>h</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00298">298</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<a id="ac348e065ad4abbf35a38022cc182cb23" name="ac348e065ad4abbf35a38022cc182cb23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac348e065ad4abbf35a38022cc182cb23">&#9670;&#160;</a></span>WriteBool()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d3/d5c/classvobject.html">vobject</a> WriteBool </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af6769057e7570eb88b30f9acad5517d0" name="af6769057e7570eb88b30f9acad5517d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6769057e7570eb88b30f9acad5517d0">&#9670;&#160;</a></span>WriteFloat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteFloat </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3fed65964e496d187f4fa653b8b4bd4" name="ab3fed65964e496d187f4fa653b8b4bd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3fed65964e496d187f4fa653b8b4bd4">&#9670;&#160;</a></span>WriteFloatAsByte()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteFloatAsByte </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb7717cc1db3e258de806c1bca54ed8b" name="aeb7717cc1db3e258de806c1bca54ed8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb7717cc1db3e258de806c1bca54ed8b">&#9670;&#160;</a></span>WriteFloatAsHalf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteFloatAsHalf </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a85055d6197d5c083f42ab1bf1563136c" name="a85055d6197d5c083f42ab1bf1563136c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85055d6197d5c083f42ab1bf1563136c">&#9670;&#160;</a></span>WriteInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae29e981edc5af3c86a556132bc64906f" name="ae29e981edc5af3c86a556132bc64906f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae29e981edc5af3c86a556132bc64906f">&#9670;&#160;</a></span>WriteIntAsByte()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteIntAsByte </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a33a46f188db4753eec5bc778570a0b51" name="a33a46f188db4753eec5bc778570a0b51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33a46f188db4753eec5bc778570a0b51">&#9670;&#160;</a></span>WriteIntAsHalf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteIntAsHalf </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4c5cb6bac876d678a55215b9811f1e4" name="ad4c5cb6bac876d678a55215b9811f1e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4c5cb6bac876d678a55215b9811f1e4">&#9670;&#160;</a></span>WriteIntAsUByte()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteIntAsUByte </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a02bff74c1163b61daf422aee00d0db42" name="a02bff74c1163b61daf422aee00d0db42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02bff74c1163b61daf422aee00d0db42">&#9670;&#160;</a></span>WriteIntAsUHalf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteIntAsUHalf </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb113e17237cbfcffeef1d43649491a8" name="abb113e17237cbfcffeef1d43649491a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb113e17237cbfcffeef1d43649491a8">&#9670;&#160;</a></span>WriteMatrixAsQuaternionVector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteMatrixAsQuaternionVector </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>mat</em>[4]</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac462a99f72b53d3495ee9b8c5e18f8d4" name="ac462a99f72b53d3495ee9b8c5e18f8d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac462a99f72b53d3495ee9b8c5e18f8d4">&#9670;&#160;</a></span>WriteString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c22e569aa0d59fcd344b54a520e7723" name="a7c22e569aa0d59fcd344b54a520e7723"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c22e569aa0d59fcd344b54a520e7723">&#9670;&#160;</a></span>WriteVector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WriteVector </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ad651bf95d941389579626fa9e3d0f56d" name="ad651bf95d941389579626fa9e3d0f56d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad651bf95d941389579626fa9e3d0f56d">&#9670;&#160;</a></span>WriteBool</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d3/de2/class_packet_input_adapter.html">PacketInputAdapter</a> WriteBool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../dir_55f504f971b0759ce397ed6ea605b012.html">proto</a></li><li class="navelem"><a class="el" href="../../dc/d3d/proto_8c.html">proto.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
